Summary:        D-Bus service for Fingerprint reader access
Name:           fprintd
Version:        1.94.2
Release:        4%{?dist}
License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/fprint/fprintd
Source0:        https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/fprintd-v%{version}.tar.gz

BuildRequires:  meson gcc gcc-c++
BuildRequires:  systemd-devel pam-devel libfprint-devel >= 1.94.0
BuildRequires:  git polkit-devel gettext perl-podlators
BuildRequires:  python3-dbusmock python3-libpamtest

%description
This package provides D-Bus service to access fingerprint readers.

%package pam
Summary:	PAM module for fingerprint authentication
License:	GPLv2+
Requires:	%{name} = %{version}-%{release}
Provides:	pam_fprint = %{version}-%{release}
Requires(postun): authselect >= 0.3

%description pam
This module that uses the fprintd D-Bus service for fingerprint authentication.

%package devel
Summary:	Development files for %{name}
License:	GFDL
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description devel
This package provides development documentation for fprintd, the D-Bus service for fingerprint 
readers access.

%prep
%autosetup -S git -n %{name}-v%{version}

%build
%meson -Dgtk_doc=false -Dpam=true -Dpam_modules_dir=%{_libdir}/security
%meson_build

%install
%meson_install
mkdir -p %{buildroot}/%{_localstatedir}/lib/fprint

%find_lang %{name}

%postun pam
if [ $1 -eq 0 ]; then
  /bin/authselect disable-feature with-fingerprint || :
fi

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS TODO
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
%{_sysconfdir}/fprintd.conf
%{_unitdir}/fprintd.service
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.1.gz

%files pam
%doc pam/README
%{_libdir}/security/pam_fprintd.so
%{_mandir}/man8/pam_fprintd.8.gz

%files devel
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.94.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.94.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.94.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Wang Guodong <gordonwwang@tencent.com> - 1.94.2-1
- package init.
